extends Node

@export var state_machine: PlayerStateMachine

# Public Methods
func OnMovementQueued(direction_vector: Vector2) -> void:
	state_machine.SendEventToCurrentStateIfValid("MovementQueued", direction_vector)


func OnNoMovementQueued() -> void:
	state_machine.SendEventToCurrentStateIfValid("NoMovementQueued")
